Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
settings
/
domain
Create or update captive domain settings
curl --request POST \
  --url https://api.arklow.io/v1/orgs/{org_id}/settings/domain \
  --header 'Content-Type: application/json' \
  --header 'x-arklow-auth: <api-key>' \
  --data '
{
  "default_permissions": [
    "owner"
  ],
  "enabled": true
}
'
{
  "data": {
    "org_id": "<string>",
    "default_permissions": [
      "owner"
    ],
    "enabled": true,
    "domain": "<string>",
    "github_org": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Body

application/json
default_permissions
enum<string>[]
Available options:
owner
enabled
boolean

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required